cmake_policy(SET CMP0057 NEW)
if(ON)
    set(_libtype "shared")
    if("static" IN_LIST ${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS)
        list(REMOVE_ITEM ${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS "static")
        
    endif()
    if(NOT "shared" IN_LIST ${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS)
        list(APPEND ${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS "shared")
    endif()
else()
    set(_libtype "static")
    if("shared" IN_LIST ${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS)
        list(REMOVE_ITEM ${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS "shared")
        
    endif()
    if(NOT "static" IN_LIST ${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS)
        list(APPEND ${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS "static")
    endif()
endif()
include(${CMAKE_CURRENT_LIST_DIR}/GenericFindModuleConfig.cmake)
unset(HDF5_LIBRARIES)
foreach(_comp ${${CMAKE_FIND_PACKAGE_NAME}_FIND_COMPONENTS})
   if(HDF5_${_libtype}_${_comp}_FOUND)
    if (${_comp} STREQUAL "C")
      set (hdf5_comp "hdf5")
    elseif (${_comp} STREQUAL "CXX")
      set (hdf5_comp "hdf5_cpp")
    elseif (${_comp} STREQUAL "HL")
      set (hdf5_comp "hdf5_hl")
    elseif (${_comp} STREQUAL "CXX_HL")
      set (hdf5_comp "hdf5_hl_cpp")
    elseif (${_comp} STREQUAL "Tools")
      set (hdf5_comp "hdf5_tools")
    elseif (${_comp} STREQUAL "Fortran")
      #set (hdf5_comp2 "hdf5_f90cstub")
      set (hdf5_comp "hdf5_fortran")
    elseif (${_comp} STREQUAL "Fortran_HL")
      #set (hdf5_comp2 "hdf5_hl_f90cstub")
      set (hdf5_comp "hdf5_hl_fortran")
    endif ()
    list(APPEND HDF5_LIBRARIES ${hdf5_comp}-${_libtype})     
   endif()
endforeach()
set(${CMAKE_FIND_PACKAGE_NAME}_LIBRARIES ${HDF5_LIBRARIES})