@echo off
call set_cmake_vars

for %%B in (Debug Release) DO (
      md build_%%B
      pushd build_%%B
      :: Configure.
      cmake -G "Ninja" ^
            -D BUILD_SHARED_LIBS=ON ^
            -D CMAKE_BUILD_TYPE=%%B ^
            -D HDF5_EXTERNAL_LIB_PREFIX=alt- ^
            -D HDF5_ENABLE_Z_LIB_SUPPORT=ON ^
            -D BUILD_TESTING=OFF ^
            -D HDF5_BUILD_EXAMPLES=OFF ^
            -D HDF5_BUILD_TOOLS=OFF ^
            -D CMAKE_MODULE_PATH=%CMAKE_MODULE_PATH% ^
            -D CMAKE_PREFIX_PATH=%CMAKE_PREFIX_PATH% ^
            -D CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP=ON ^
            -D CMAKE_INSTALL_PREFIX:PATH=%CMAKE_INSTALL_PREFIX_ALT% ^
            %SRC_DIR%

      if errorlevel 1 exit 1

      :: Build.
      cmake --build . --target install --config %%B
      if errorlevel 1 exit 1

      popd
)

:: Copy FindHDF5.cmake resource file to Library\cmake
call copy_find_module HDF5

:: Copy dlls to Library/bin so they can be found on the path
copy /Y "%LIBRARY_PREFIX%\alt\bin\*hdf5*.dll" "%LIBRARY_BIN%"